Page MenuHomeFreeBSD

www/domoticz: Update to 2020.2
ClosedPublic

Authored by samm on May 24 2020, 4:11 PM.

Details

Summary
  • Update to the 2020.2
  • Make LUA as hard dependency as internal LUA is not supported anymore
  • Make OPENZWAVE optional dependency
  • Enable usage of precompiled headers by default to follow the upstream
  • Use GH_TUPLE to load external dependencies from the github (upstream uses git submodules), disable GIT_SUBMODULE. As for now only MQQT is supported
  • Fix CMAKE_INSTALL_PREFIX (should be specified as Makefile option, not as CMAKE one) and remove patches obsoleted by that fix
  • USE CMAKE_ON/CMAKE_OFF for the better readability
  • Remove post-patch target, as version is normally set by the cmake itself
  • Include patches for the embedded mosquitto, disable mosquitto shared libraries installation
  • Update pkg-plist to support files added by the embedded dependencies
  • Remove CONFLICTS as there are no such matched packages in the ports tree
  • Fix build without PYTHON, patch accepted by the upstream
  • Remove most of the STATIC* options after discussion with a port maintainer

See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=245007

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

samm requested review of this revision.May 24 2020, 4:11 PM
samm created this revision.
samm retitled this revision from update port to www/domoticz: Update to 2020.2.May 24 2020, 4:20 PM
samm edited the summary of this revision. (Show Details)
samm edited the test plan for this revision. (Show Details)
samm edited the test plan for this revision. (Show Details)
samm set the repository for this revision to rP FreeBSD ports repository.
samm updated this revision to Diff 72198.May 24 2020, 8:09 PM
  • More changes
samm updated this revision to Diff 72202.May 24 2020, 8:31 PM
  • fix in-source MQTT build
samm updated this revision to Diff 72206.May 24 2020, 10:46 PM
  • Use CMAKE_ON/CMAKE_OFF style
samm set the repository for this revision to rP FreeBSD ports repository.May 24 2020, 10:47 PM
samm updated this revision to Diff 72209.May 24 2020, 11:39 PM
  • fix sqlite and minizip
samm set the repository for this revision to rP FreeBSD ports repository.May 24 2020, 11:40 PM
samm updated this revision to Diff 72212.May 25 2020, 5:19 AM
  • remove unrelevant LUA SUB from plist
samm set the repository for this revision to rP FreeBSD ports repository.May 25 2020, 5:38 AM
samm removed rP FreeBSD ports repository as the repository for this revision.May 25 2020, 5:59 AM
samm set the repository for this revision to rP FreeBSD ports repository.
samm updated this revision to Diff 72213.May 25 2020, 6:19 AM
  • Move mosquitto related patch out of the main Cmake
samm updated this revision to Diff 72218.May 25 2020, 8:35 AM
  • - Remove CONFLICTS as there are no such packages
samm edited the summary of this revision. (Show Details)May 26 2020, 8:21 AM
samm updated this revision to Diff 72272.May 26 2020, 8:29 AM
  • Fix typo in SQLite option desc
samm edited the summary of this revision. (Show Details)May 26 2020, 8:30 AM
samm edited the summary of this revision. (Show Details)
samm edited the summary of this revision. (Show Details)May 26 2020, 8:33 AM
samm updated this revision to Diff 72277.May 26 2020, 9:09 AM
  • remove static options for everything byt MQQT
samm edited the summary of this revision. (Show Details)May 26 2020, 9:16 AM
samm added reviewers: krion, araujo.
samm added a comment.May 26 2020, 5:49 PM

@krion @araujo maintainer of the port accepted changes in bugzilla

krion accepted this revision.May 26 2020, 6:24 PM
This revision is now accepted and ready to land.May 26 2020, 6:24 PM
This revision was automatically updated to reflect the committed changes.